package io.zipcoder.persistenceapp;

import java.util.Date;

public class Person {
    private String firstName;
    private String lastName;
    private int id;
    private Date birthdate;
    private String mobile;

    public Person() {
    }

    public Person(String firstName, String lastName, int id, Date birthdate, String mobile) {
        this.firstName = firstName;
        this.lastName = lastName;
        this.id = id;
        this.birthdate = birthdate;
        this.mobile = mobile;
    }

    public Person(String firstName, String lastName, Date birthdate) {
        this.firstName = firstName;
        this.lastName = lastName;
        this.birthdate = birthdate;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Override
    public String toString() {
        return "Person{" +
                "firstName='" + firstName + '\'' +
                ", lastName='" + lastName + '\'' +
                ", id=" + id +
                ", birthdate=" + birthdate +
                ", mobile='" + mobile + '\'' +
                '}';
    }
}
